/* Interface for Objective-C EltListLink object used with LinkedList

   Copyright (C) 1993 R. Andrew McCallum <mccallum@cs.rochester.edu>
   Dept. of Computer Science, U. of Rochester, Rochester, NY  14627

   This file is part of the GNU Objective-C Collection library.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/ 

#ifndef __EltListLink_h_INCLUDE_GNU
#define __EltListLink_h_INCLUDE_GNU

#include <coll/ListLink.h>

@interface EltListLink : ListLink
{
  @public
  elt _element;
}

// INITIALIZING;
- initElement: (elt)e;

// ACCESSING INSTANCE VARIABLES;
- (elt) elementData;
- objectData;

// SETTING INSTANCE VARIABLES;
- setElement: (elt)d;

@end


#endif /* __EltListLink_h_INCLUDE_GNU */

